﻿using System;
using EFLib;

namespace ApiLol
{
	public static class ChampionMapper
	{
		public static ChampionDTO ToDto(this ChampionEntity champion)
		{
			if (champion == null)
			{
				throw new NullReferenceException();
			}
            return new ChampionDTO
            {
                Name = champion.Name,
                Bio = champion.Bio,
                Icon = champion.Icon,
                Id = champion.Id,
                ChampClass = champion.ChampClass
            };
        }

		public static ChampionEntity ToEntity(this ChampionDTO champion)
		{
            if (champion == null)
            {
                throw new NullReferenceException();
            }
            return new ChampionEntity
            {
                Name = champion.Name,
                Bio = champion.Bio,
                Icon = champion.Icon,
                Id = champion.Id,
                ChampClass = champion.ChampClass
            };
        }
	}
}

